package com.chenyang.druid.sql.ast.statement;

import com.chenyang.druid.sql.ast.SQLName;
import com.chenyang.druid.sql.ast.SQLStatementImpl;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public class SQLCancelJobStatement extends SQLStatementImpl {
   private SQLName jobName;
   private boolean isImport = false;

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.jobName);
      }

      visitor.endVisit(this);
   }

   public SQLName getJobName() {
      return this.jobName;
   }

   public void setJobName(SQLName jobName) {
      this.jobName = jobName;
   }

   public boolean isImport() {
      return this.isImport;
   }

   public void setImport(boolean anImport) {
      this.isImport = anImport;
   }
}
